#include "Macros.fxh"

BEGIN_CONSTANTS

    float4x4 ModelViewProjection    _vs(c0)             _cb(c0);

MATRIX_CONSTANTS

END_CONSTANTS

struct VertexShaderInput
{
    float4 Position : POSITION;
};

struct VertexShaderOutput
{
    float4 Position : SV_Position;
};

VertexShaderOutput main_vs(VertexShaderInput input)
{
    VertexShaderOutput output;

    output.Position = mul(float4(input.Position.xyz, 1.0), ModelViewProjection);

    return output;
}

Technique SimpleDepth
{
    Pass
    {
        VertexShader = compile vs_3_0 main_vs();
    }
}
